Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow
Class PortalAppflowFactory

    java.lang.Object
      |
      +--com.bea.portal.appflow.PortalAppflowFactory

public abstract class PortalAppflowFactory
extends java.lang.Object
implements PortalAppflowConstants

A common factory for creating portal objects.

Constructor Summary
`PortalAppflowFactory()`

Method Summary
`static PortalAppflowEvent` | `createPortalAppflowEvent(javax.servlet.http.HttpServletRequest request, Portal portal)` Create a new PortalAppflowEvent from the HttpServletRequest parameters.
`static PortalAppflowEvent` | `createPortalAppflowEvent(java.lang.String namespace, java.lang.String origin, java.lang.String event, PageIdentifier pageId, PortletIdentifier portletId)` Create a new Instance of the PortalAppflowEvent from the supplied parameters.
`static PortalContext` | `createPortalContext(javax.servlet.ServletContext context)` Return a new instance of the portalContext
`static PortalRequest` | `createPortalRequest(PortalContext context, Portal portal, javax.servlet.http.HttpServletRequest request)` Creates a PortalRequest.
`static PortalRequest` | `createPortalRequest(PortalContext context, Portal portal, javax.servlet.http.HttpServletRequest request, boolean createNew)` Creates a PortalRequest.
`static PortalSession` | `createPortalSession(javax.servlet.http.HttpServletRequest request)` Creates a PortalSession.
`static PortalSession` | `createPortalSession(javax.servlet.http.HttpServletRequest request, boolean createNew)` Creates a PortalSession.
`static PortalRequest` | `getPortalRequest(javax.servlet.http.HttpServletRequest request)` Retrieve the portal request from the HttpServletRequest.
`static PortalSession` | `getPortalSession(javax.servlet.http.HttpServletRequest request)` Retrieve an instance of the PortalSession from the HttpSession.
`static void` | `setPortalSession(javax.servlet.http.HttpServletRequest request, PortalSession portalSession)` Put an instance of the PortalSession in the HttpSerssion.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalAppflowFactory

    public PortalAppflowFactory()

Method Detail

### createPortalContext

    public static PortalContext createPortalContext(javax.servlet.ServletContext context)

  Return a new instance of the portalContext

### createPortalRequest

    public static PortalRequest createPortalRequest(PortalContext context,
                                                    Portal portal,
                                                    javax.servlet.http.HttpServletRequest request)

  Creates a PortalRequest. If one already exist in the HttpServletRequest then that will be returned, otherwise a new one will be created.

### createPortalRequest

    public static PortalRequest createPortalRequest(PortalContext context,
                                                    Portal portal,
                                                    javax.servlet.http.HttpServletRequest request,
                                                    boolean createNew)

  Creates a PortalRequest. If `createNew` is true the a new one will always be created. If `createNew` is false then it will first look in the HttpServletRequest for an existing PortalRequest and if that exist return that one, otherwise create a new one.

### getPortalRequest

    public static PortalRequest getPortalRequest(javax.servlet.http.HttpServletRequest request)

  Retrieve the portal request from the HttpServletRequest. If one does not exist return null.

### createPortalSession

    public static PortalSession createPortalSession(javax.servlet.http.HttpServletRequest request)

  Creates a PortalSession. If one already exist in the HttpSession then that will be returned, otherwise a new one will be created.

### createPortalSession

    public static PortalSession createPortalSession(javax.servlet.http.HttpServletRequest request,
                                                    boolean createNew)

  Creates a PortalSession. If `createNew` is true the a new one will always be created. If `createNew` is false then it will first look in the HttpSession for an existing PortalRequest and if that exist return that one, otherwise create a new one.

### getPortalSession

    public static PortalSession getPortalSession(javax.servlet.http.HttpServletRequest request)

  Retrieve an instance of the PortalSession from the HttpSession.

### setPortalSession

    public static void setPortalSession(javax.servlet.http.HttpServletRequest request,
                                        PortalSession portalSession)

  Put an instance of the PortalSession in the HttpSerssion.

### createPortalAppflowEvent

    public static PortalAppflowEvent createPortalAppflowEvent(javax.servlet.http.HttpServletRequest request,
                                                              Portal portal)

  Create a new PortalAppflowEvent from the HttpServletRequest parameters. If the request does not a namespace, use the Portal's webflow namespace. If the Portlet identifier is passed in the request, create a PortletIdentifier and set the namespace to the associated Portlet's namespace. If a Page Identifier is passed in create a PageIdentifier.

  See Also:
    `com.bea.portal.appflow.PortalAppflowConstants.`

### createPortalAppflowEvent

    public static PortalAppflowEvent createPortalAppflowEvent(java.lang.String namespace,
                                                              java.lang.String origin,
                                                              java.lang.String event,
                                                              PageIdentifier pageId,
                                                              PortletIdentifier portletId)

  Create a new Instance of the PortalAppflowEvent from the supplied parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved